# Workaround for $MANPATH variable.
# By default $MANPATH in ALTLinux isn't initialized.
# mpi-selector update $MANPATH with manpages for MPI.
# In consequence `man' lookups only for manpages located at $MANPATH and ignore default manpages.
# Purpose of this script is $MANPATH initialization with default manpages location.

if [ -x "/usr/bin/manpath" ]; then
    CURRENT_MANPATH="$(manpath)"
fi

if [ -z "${MANPATH:-}" -a -n "${CURRENT_MANPATH:-}" ]; then
    MANPATH="$CURRENT_MANPATH"
    export MANPATH
fi
